=== debian/changelog ===
ros-indigo-robot-localization (2.3.4-0trusty) trusty; urgency=high

  * Fixing issue with potential seg fault
  * Contributors: Tom Moore

 -- Tom Moore <ayrton04@gmail.com>  Tue, 10 Apr 2018 23:00:00 -0000

ros-indigo-robot-localization (2.3.3-0trusty) trusty; urgency=high

  * Zero out rotation in GPS to base_link transform
  * Fix typo in reading Mahalanobis thresholds.
  * Fixing state history reversion
  * Some trivial changes to lessen the differences to lunar
  * Fixing critical bug with dynamic process noise covariance
  * Fixing datum precision
  * Contributors: Jacob Seibert, Pavlo Kolomiiets, Tom Moore

 -- Tom Moore <ayrton04@gmail.com>  Fri, 15 Dec 2017 00:00:00 -0000

ros-indigo-robot-localization (2.3.2-0trusty) trusty; urgency=high

  * Updated documentation
  * Added reset_on_time_jump option
  * Added feature to optionally publish utm frame as parent in navsat_transform_node
  * Moved global callback queue reset
  * Added initial_state parameter and documentation
  * Fixed ac/deceleration gains default logic
  * Added gravity parameter
  * Added delay and throttle if tf lookup fails
  * Fixed UKF IMUTwistBasicIO test
  * Added transform_timeout parameter
  * Set gps_odom timestamp before tf2 lookuptransform
  * Removed non-portable sincos calls
  * Simplified logic to account for correlated error
  * Added dynamic process noise covariance calculation
  * Fixed catkin_package Eigen warning
  * Added optional publication of acceleration state
  * Contributors: Brian Gerkey, Enrique Fernandez, Jochen Sprickerhof, Rein Appeldoorn, Simon Gene Gottlieb, Tom Moore

 -- Tom Moore <ayrton04@gmail.com>  Mon, 05 Jun 2017 23:00:00 -0000

ros-indigo-robot-localization (2.3.1-0trusty) trusty; urgency=high

  * Adding gitignore
  * Adding remaining wiki pages
  * Adding config and prep pages
  * Adding navsat_transform_node documentation
  * use_odometry_yaw fix for n_t_n
  * Fixing issue with manual pose reset when history is not empty
  * Getting inverse transform when looking up robot's pose.
  * Sphinx documentation
  * Removing forward slashes from navsat_transform input topics for template launch file
  * Adding example launch and parameter files for a two-level EKF setup with navsat_transform_node
  * Adding yaml file for navsat_transform_node, and moving parameter documentation to it.
  * Updating EKF and UKF parameter templates with usage comments
  * Contributors: Tom Moore, asimay

 -- Tom Moore <ayrton04@gmail.com>  Wed, 26 Oct 2016 23:00:00 -0000

ros-indigo-robot-localization (2.3.0-0trusty) trusty; urgency=high

  * Fixed issues with datum usage and frame_ids
  * Fixed comment for wait_for_datum
  * Fixing issue with non-zero navsat sensor orientation offsets
  * Fixing issue with base_link->gps transform wrecking the 'true' UTM position computation
  * Using correct covariance for filtered GPS
  * Fixed unitialized odometry covariance bug
  * Added filter history and measurement queue behavior
  * Changing output timestamp to more accurately use the time stamp of the most recently-processed measurement
  * Added TcpNoDelay()
  * Added parameter to make transform publishing optional
  * Fixed differential handling for pose data so that it doesn't care about the message's frame_id
  * Updated UKF config and launch
  * Added a test case for the timestamp diagnostics
  * Added reporting of bad timestamps via diagnostics
  * Updated tests to match new method signatures
  * Added control term
  * Added smoothing capability for delayed measurements
  * Making variables in navsat_transform conform to ROS coding standards
  * Contributors: Adel Fakih, Ivor Wanders, Marc Essinger, Tobias Tueylue, Tom Moore

 -- Tom Moore <ayrton04@gmail.com>  Wed, 27 Jul 2016 23:00:00 -0000

ros-indigo-robot-localization (2.2.3-0trusty) trusty; urgency=high

  * Cleaning up callback data structure and callbacks and updating doxygen comments in headers
  * Removing MessageFilters
  * Removing deprecated parameters
  * Adding the ability to handle GPS offsets from the vehicle's origin
  * Cleaning up navsat_transform.h
  * Making variables in navsat_transform conform to ROS coding standards

 -- Tom Moore <ayrton04@gmail.com>  Sat, 23 Apr 2016 23:00:00 -0000

ros-indigo-robot-localization (2.2.2-0trusty) trusty; urgency=high

  * Updating trig functions to use sincos for efficiency
  * Updating licensing information and adding Eigen MPL-only flag
  * Added state to imu frame transformation
  * Using state orientation if imu orientation is missing
  * Manually adding second spin for odometry and IMU data that is passed to message filters
  * Reducing delay between measurement reception and filter output
  * Zero altitute in intital transform too, when zero altitude param is set
  * Fixing regression with conversion back to GPS coordinates
  * Switched cropping of orientation data in inovationSubset with mahalanobis check to prevent excluding measurements with orientations bigger/smaller than ± PI
  * Fix Jacobian for EKF.
  * Removing warning about orientation variables when only their velocities are measured
  * Checking for -1 in IMU covariances and ignoring relevant message data
  * roslint and catkin_lint applied
  * Adding base_link to datum specification, and fixing bug with order of measurement handling when a datum is specified. Also added check to make sure IMU data is transformable before using it.
  * Contributors: Adnan Ademovic, Jit Ray Chowdhury, Philipp Tscholl, Tom Moore, ayrton04, kphil

 -- Tom Moore <ayrton04@gmail.com>  Thu, 04 Feb 2016 00:00:00 -0000

ros-indigo-robot-localization (2.2.1-0trusty) trusty; urgency=high

  * Fixed handling of IMU data w.r.t. differential mode and relative mode

 -- Tom Moore <tmoore@cra.com>  Tue, 26 May 2015 23:00:00 -0000

ros-indigo-robot-localization (2.2.0-0trusty) trusty; urgency=high

  * Added tf2-friendly tf_prefix appending
  * Corrected for IMU orientation in navsat_transform

