=== debian/control ===
Source: ros-indigo-robot-localization
Section: misc
Priority: extra
Maintainer: Tom Moore <ayrton04@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, python-catkin-pkg, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-geographic-msgs, ros-indigo-geometry-msgs, ros-indigo-message-filters, ros-indigo-message-generation, ros-indigo-nav-msgs, ros-indigo-rosbag, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-rostest, ros-indigo-rosunit, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf2, ros-indigo-tf2-geometry-msgs, ros-indigo-tf2-ros
Homepage: http://ros.org/wiki/robot_localization
Standards-Version: 3.9.2

Package: ros-indigo-robot-localization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-indigo-cmake-modules, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-geographic-msgs, ros-indigo-geometry-msgs, ros-indigo-message-filters, ros-indigo-message-runtime, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf2, ros-indigo-tf2-geometry-msgs, ros-indigo-tf2-ros
Description: Provides nonlinear state estimation through sensor fusion of an abritrary number of sensors.
